DataIntegrityMetadata.ChecksumValidator (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.io.util

## Class DataIntegrityMetadata.ChecksumValidator

- java.lang.Object
- - org.apache.cassandra.io.util.DataIntegrityMetadata.ChecksumValidator

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable
  Enclosing class:
    DataIntegrityMetadata

      public static class DataIntegrityMetadata.ChecksumValidator
      extends java.lang.Object
      implements java.io.Closeable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `chunkSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataIntegrityMetadata.ChecksumValidator(Descriptor descriptor)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `chunkStart(long offset)`
    `void` | `close()`
    `void` | `seek(long offset)`
    `void` | `validate(byte[] bytes, int start, int end)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### chunkSize

          public final int chunkSize

  - ### Constructor Detail

    - #### DataIntegrityMetadata.ChecksumValidator

          public DataIntegrityMetadata.ChecksumValidator(Descriptor descriptor)
                                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### seek

          public void seek(long offset)

    - #### chunkStart

          public long chunkStart(long offset)

    - #### validate

          public void validate(byte[] bytes,
                      int start,
                      int end)
                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### close

          public void close()

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`

Copyright © 2014 The Apache Software Foundation